get_periphery {DiagrammeR} | R Documentation

## Get nodes that form the graph periphery

### Description

Get those nodes that are part of the graph periphery (i.e., have the maximum eccentricity in the graph).

### Usage

    get_periphery(graph)

### Arguments

`graph` | a graph object of class `dgr_graph`.

### Value

a vector of node IDs.

### Examples

    ## Not run:
    # Get the nodes that are in the graph periphery
    # of a randomly-created graph
    create_random_graph(
        n = 15, m = 24,
        set_seed = 23) %>%
      get_periphery()
    #> [1] 3 6

    ## End(Not run)

[Package DiagrammeR version 0.9.2 Index]